org.eclipse.jetty.plus.annotation

## Class PostConstructCallback

- java.lang.Object
- - org.eclipse.jetty.plus.annotation.LifeCycleCallback
  - - org.eclipse.jetty.plus.annotation.PostConstructCallback

-     public class PostConstructCallback
      extends LifeCycleCallback

  PostConstructCallback

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

      `__EMPTY_ARGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostConstructCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callback(Object instance)`
    `boolean` | `equals(Object o)`
    `void` | `validate(Class<?> clazz, Method method)` Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static

    - ### Methods inherited from class org.eclipse.jetty.plus.annotation.LifeCycleCallback

      `findMethod, getMethodName, getTarget, getTargetClass, getTargetClassName, setTarget, setTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostConstructCallback

          public PostConstructCallback()

  - ### Method Detail

    - #### validate

          public void validate(Class<?> clazz,
                      Method method)

      Commons Annotation Specification section 2.5 - no params - must be void return - no checked exceptions - cannot be static
      Specified by:
        `validate` in class `LifeCycleCallback`
      See Also:
        `LifeCycleCallback.validate(java.lang.Class, java.lang.reflect.Method)`

    - #### callback

          public void callback(Object instance)
                        throws SecurityException,
                               IllegalArgumentException,
                               NoSuchMethodException,
                               ClassNotFoundException,
                               IllegalAccessException,
                               InvocationTargetException

      Overrides:
        `callback` in class `LifeCycleCallback`
      Throws:
        `SecurityException`
        `IllegalArgumentException`
        `NoSuchMethodException`
        `ClassNotFoundException`
        `IllegalAccessException`
        `InvocationTargetException`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `LifeCycleCallback`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.